version: '3.5'

services:
  jellyfin:
    image: jellyfin/jellyfin
    container_name: "{{ service_cfg.name }}"
    restart: 'unless-stopped'
    volumes:
      - "{{ service_cfg.directory }}/config:/config"
      - "{{ service_cfg.directory }}/cache:/cache"
      - "{{ service_cfg.directory }}/media:/media"
      - "{{ service_cfg.directory }}/media2:/media2:ro"
      - "{{ service_cfg.directory }}/books:/books:ro"
      - "{{ service_cfg.directory }}/comics:/comics:ro"
      - "{{ service_cfg.directory }}/radio:/radio:ro"
      - "{{ service_cfg.directory }}/movies:/movies:ro"
      - "{{ service_cfg.directory }}/music:/music:ro"
      - "{{ service_cfg.directory }}/shows:/shows:ro"
    labels: *base_labels
    networks: *base_networks
